body {
  color: var(--text-default);
  background: var(--surface-tint);
}

button {
  border: none;
  outline: none;
  background: none;
  padding: 0;
  cursor: pointer;
}

.sign_header {
  height: 80px;
  position: sticky;
  top: 0;
  z-index: 1000;
  background: var(--surface-tint);
  display: flex;
  align-items: center;
  padding: 0 20px;
  color: var(--primary);
}

.sign_header button {
  color: var(--primary);
}

.sign_header h1 {
  font-family: "Pretendard", sans-serif;
  font-size: 24px;
  font-weight: 700;
  line-height: 20px;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
}

.sign_contents {
  padding: 0 0 40px 0;
  align-content: center;
  min-height: calc(100vh - 80px);
}

.sign_box {
  height: fit-content;
}

.sign_box img {
  max-width: 767px;
  width: 100%;
  -o-object-fit: cover;
  object-fit: cover;
}

.sign_in {
  width: 100%;
  align-content: center;
}

.sign_sns {
  display: grid;
  gap: 20px;
  padding: 40px 0;
}

.sign_in .sign_sns button {
  width: 100%;
  height: 40px;
  border: 1px solid var(--text-light);
  cursor: pointer;
}

.sign_in .sign_sns button:nth-child(1) {
  background-color: #fae000;
}

.sign_in .sign_sns button:nth-child(2) {
  background-color: #2db400;
  color: var(--surface-bg);
}

.sign_in .sign_sns button:nth-child(3) {
  background-color: var(--surface-bg);
}

.sign_in .sign_sns button img {
  width: 16px;
  margin-right: 10px;
}

.login {
  display: flex;
  gap: 16px;
  justify-content: space-between;
}

.sign_text {
  padding: 0 0 20px 0;
  display: grid;
  gap: 20px;
  width: calc(100% - 114px);
}

.input_wrap > input {
  width: 100%;
  height: 40px;
  padding: 0;
  border: 1px solid var(--text-light);
}

.input_wrap > input::-moz-placeholder {
  text-indent: 10px;
}

.input_wrap > input::placeholder {
  text-indent: 10px;
}

.sign_text .check_box {
  display: flex;
}

.sign_text .check_box input {
  width: 20px;
  height: 20px;
  margin-right: 10px;
}

.login_bt {
  width: 98px;
  height: 103.2px;
  background-color: var(--primary);
  color: var(--surface-bg);
}

.login_box {
  display: flex;
  justify-content: space-evenly;
  text-align: center;
}

.login_box .text {
  width: 170px;
}

.input_wrap {
  position: relative;
  width: 100%;
}

.error_msg {
  position: absolute;
  left: 0;
  top: calc(100% + 4px);
  display: none;
  color: #ff4d4f;
  line-height: 1;
}

.input_error {
  border: 1px solid #ff4d4f !important;
}

@media (min-width: 768px) {
  .sign_contents {
    display: grid;
    justify-items: center;
  }
  .sign_box {
    display: flex;
    /* margin: 200px 0; */
  }
  .sign_box > img {
    width: 335px;
    height: 460px;
  }
  .login {
    display: block;
  }
  .sign_text {
    width: 100%;
  }
  .sign_sns {
    display: grid;
    gap: 20px;
    padding: 0 0 20px 0;
  }
  .login_bt {
    width: 100%;
    height: 40px;
    background-color: var(--primary);
    color: var(--surface-bg);
  }
  .login_box {
    padding-top: 20px;
  }
}
@media (min-width: 1200px) {
  .sign_contents {
    height: 100%;
  }
  .sign_in {
    width: 535px;
  }
  .sign_header {
    height: 80px;
  }
  .sign_box > img {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
  }
  .sign_box {
    max-width: 1320px;
  }
  .sign_text {
    padding: 40px 0 20px 0;
  }
  .login_bt {
    height: 60px;
  }
}